/* tex\p -- Batch from FW-Macros for THE (The Hessling Editor)
 * Copyright (C) 1993-1999 Franz-Josef Wirtz
 *
 * This batch is free software; see the files README and COPYING for details
 * about refusing any warranty and the GNU General Public License.
 */
/* this batch is called by the tex-menusystem (i.e. prtdrv.the)
   it is intended to send the dvi-file to a chosen device
   the driver and eventually an option string needs to be passed to the batch
   
   within the select-statement below it is possible/necessary to adopt the 
   entries to your own needs. For example, the string 
   'dvidot  %TEXDRV%\mytex\data\fax  @%TEXDRV%\mytex\data\fax.cnf     %TEXSRC% page? /fl=-1'
   calls the program dvidot (which resides in a PATH-directory) with several 
   arguments. The arguments may use own OS/2-environment variables (like
   TEXDRV) or the environment variables set via the FW-menu system within the 
   file "env.cmd" (like TEXSRC which holds the file to be processed)
   */
myfilename = "p.cmd"
logfile = "fw.log"
/* set wantlog=1 to get fw.log in current dir */
wantlog = 0

parse arg driver option

parse source mine.__os mine.__type mine.__fullname mine.__filename mine.__adrenv
mine.__fpath = filespec( "drive", mine.__fullname)filespec( "path", mine.__fullname)

'@echo off'
'call 'mine.__fpath'env.cmd'
texwd = value( 'texwd', , 'os2environment')
work_drive = substr( texwd, 1, 2)
work_dir = substr( texwd, 3)
call directory work_drive||work_dir

/* check, from where the driver-config-file should be taken */
/*
drvcfg='.'
if exist %drvcfg% goto exec_drv

drvcfg=value('mytexdir', , 'os2environment') "\data"
if exist %drvcfg% goto exec_drv

drvcfg=value('emtexdir', , 'os2environment') "\data"
if exist %drvcfg% goto exec_drv

'echo no pm.cfg found'
'pause'
exit
:exec_drv
*/
'echo on'
select
 when (driver = 'fax') then       'dvidot %TEXDRV%\mytex\data\fax  @%TEXDRV%\mytex\data\fax.cnf     %TEXSRC% page? /fl=-1'
 when (driver = 'dot') then 
    select
     when (option = 'draft') then 'dvidot %TEXDRV%\mytex\data\lql  @%TEXDRV%\mytex\data\p6l_p6h.cnf %TEXSRC% -fl=-1'
     otherwise                    'dvidot %TEXDRV%\mytex\data\lqhu @%TEXDRV%\mytex\data\p6h.cnf     %TEXSRC% -fl=-1'
    end
 when (driver = 'lj')    then     'dvihplj @%TEXDRV%\mytex\data\lj.cnf %TEXSRC% -fl=-1 -po=%TEXSRC%.'driver
 when (driver = 'dj')    then     'dvihplj @%TEXDRV%\mytex\data\lj.cnf %TEXSRC% -fl=-1 -od -po=%TEXSRC%.'driver
 when (driver = 'spell') then    
 do
    pipe = ""
    opt = ""
    select
     when (datatype( option, "NUMBER")) then opt = "-y "option
     when (pos( ":", option) > 0) then pipe = "|recode "option
     otherwise
    end
    oscmd = 'dvispell -c hyphen -q 'opt' %TEXSRC%.dvi 'pipe'>%TEXSRC%.txt'
    if (wantlog) then
    do
       call lineout logfile,date() time() myfilename "option="option
       call lineout logfile,date() time() myfilename "opt="opt
       call lineout logfile,date() time() myfilename "pipe="pipe
       call lineout logfile,date() time() myfilename "oscmd="oscmd
       call stream logfile, "command", "close"
    end
    oscmd
    '@list2 %TEXSRC%.txt'
 end
 otherwise 
 do
    '@echo driver "'driver'" not valid (dot, lj, fax, spell)'
    '@pause'
 end
end
exit
